#include <bits/stdc++.h>

using namespace std;
int main(int argc, char** argv) {
	int n,k,mini=INT_MAX,maxi=-INT_MAX,a;
	cin>>n>>k;
	for(int i=0;i<n;i++)
	{
		cin>>a;
		if(a<mini)mini=a;
		if(a>maxi)maxi=a;
	}
	if(k<=mini)cout<<maxi-k;
	else if(k>=maxi)cout<<k-mini;
	else if(k-mini<maxi-k)cout<<2*(k-mini)+maxi-k;
	else cout<<2*(maxi-k)+k-mini;
	return 0;
}